Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.tracing
Class DefaultRayProcessor

    java.lang.Object
      de.grogra.ray2.tracing.ProcessorBase
          de.grogra.ray2.tracing.RayProcessorBase
              de.grogra.ray2.tracing.DefaultRayProcessor

All Implemented Interfaces:
  RayProcessor, java.lang.Cloneable

    public class DefaultRayProcessor

extends RayProcessorBase

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.ray2.tracing.RayProcessorBase
`RayProcessorBase.Locals`

Field Summary

Fields inherited from class de.grogra.ray2.tracing.RayProcessorBase
`enteredSolids, RECURSION_DEPTH, renderer, scene, sumColor`

Constructor Summary
`DefaultRayProcessor()`

Method Summary
`protected void` | `appendStatisticsImpl(java.lang.StringBuffer stats)`
`protected void` | `initLocals()`
`protected void` | `mergeStatistics(ProcessorBase src)`

Methods inherited from class de.grogra.ray2.tracing.RayProcessorBase
`dup, getColorFromRay, getIOR, getLightProcessor, initialize, initializeBeforeTracing, record, record, setLightProcessor, setRecursionDepth, unrecord`

Methods inherited from class de.grogra.ray2.tracing.ProcessorBase
`appendStatistics, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.ray2.tracing.RayProcessor
`appendStatistics`

Constructor Detail

### DefaultRayProcessor

    public DefaultRayProcessor()

Method Detail

### appendStatisticsImpl

    protected void appendStatisticsImpl(java.lang.StringBuffer stats)

  Specified by:
    `appendStatisticsImpl` in class `ProcessorBase`

### initLocals

    protected void initLocals()

  Overrides:
    `initLocals` in class `RayProcessorBase`

### mergeStatistics

    protected void mergeStatistics(ProcessorBase src)

  Overrides:
    `mergeStatistics` in class `RayProcessorBase`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD